Bug 152652 - metacity deadlock (in gnome)
metacity deadlock (in gnome)
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-28 11:29 EDT by David Lawrence
Modified: 2007-04-18 13:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:16:43 EST
every single time i use k3bseyup in gnome to try setup k3b and when you add a
new user it crashes most probably because it rquires a pop up window to ask for
a name but in gnome this window never appears



------- Additional Comments From adrian@lisas.de 2003-05-28 12:10:34 ----

Unfortunately I do not have an installation with a gnome panel that it is working 
right now so that I can not test it.

Maybe you could execute "kdesu k3bsetup" in a xterm or similar to see
if there is any useful output on the console that would help to identify
if it is a problem with k3b or just with the fedora package.



------- Additional Comments From bugs.michael@gmx.net 2003-06-16 23:41:53 ----

$ rpm -qf /usr/bin/kdesu
kdebase-3.1-13

But k3b does not seem to depend on kdebase neither directly nor indirectly.

Justin, you are a GNOME-only user? "rpm --query kdebase" returns that kdebase is
not installed, right?

Rather than making /usr/bin/kdesu or kdebase a dependency, consolehelper could
be used instead.




------- Additional Comments From ville.skytta@iki.fi 2003-07-19 10:40:13 ----

By the way, k3b 0.9 is out... http://k3b.sourceforge.net/



------- Additional Comments From bugs.michael@gmx.net 2003-08-07 05:24:52 ----

Reproducible with 0.9-0.fdr.3, steps to reproduce in GNOME (rh9):

1) kdesu k3bsetup
2) complete steps in wizard until 5/6
3) click "Add user..."

The _entire_ GNOME session locks up completely. No output in xterm.




------- Additional Comments From bugs.michael@gmx.net 2003-08-07 05:34:40 ----

Found this bug entry at k3b project page:
http://sourceforge.net/tracker/index.php?func=detail&aid=765438&group_id=26138&atid=386330




------- Additional Comments From ville.skytta@iki.fi 2003-08-08 09:36:53 ----

The Debian K3B package has a couple of fixes that look interesting.  Dunno if
they affect this problem.

http://packages.debian.org/unstable/otherosfs/k3b.html
http://ftp.debian.org/debian/pool/main/k/k3b/k3b_0.9-3.diff.gz



------- Additional Comments From bugs.michael@gmx.net 2003-09-20 14:05:41 ----

I've debugged it to find out it's a known bug in Metacity:
http://bugzilla.gnome.org/show_bug.cgi?id=114828




------- Additional Comments From bugs.michael@gmx.net 2003-09-20 14:29:12 ----

Corresponding bug report for Red Hat Linux 9:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=91492




------- Additional Comments From bugs.michael@gmx.net 2003-12-23 03:59:31 ----

These packages fix this bug (signed with my key):

http://xmms-fc.sf.net/metacity-2.4.34-3.fdr.1.i386.rpm
http://xmms-fc.sf.net/metacity-2.4.34-3.fdr.1.src.rpm

If anyone wants to QA these, take Red Hat's 2.4.34-3 src.rpm as help. The only
change is a patch.

[With Fedora Core 1 including a newer version of Metacity (where this problem is
not reproducible) and Red Hat's resolution to not update Metacity in Red Hat
Linux 9 and with k3b >= 0.10 (which has a different k3bsetup2), I think it's
safe to assume that there won't be an official fix.]



------- Additional Comments From bugs.michael@gmx.net 2004-02-16 07:37:19 ----

Reassigning this to Fedora Legacy just in case someone is interested in a
bug-fix update.



------- Additional Comments From skvidal@phy.duke.edu 2004-02-23 11:30:03 ----

This isn't a security bug. It should definitely not be in LEGACY. Especially
considering k3b wasn't in rh80 and rh90 isn't in LEGACY yet.




------- Additional Comments From bugs.michael@gmx.net 2004-02-23 12:13:56 ----

* Quote: The goal of The Fedora Legacy Project is to work with the Linux
community to provide security and critical bug fix errata packages for select
End of Life Red Hat Linux and Fedora Core distributions. 

* It's a bad bug in Metacity (which is part of rh9).

* rh9 end-of-life is coming nearer every day.

* P5 = low priority.

If the community doesn't have any interest in preparing a bug-fix update in
time, so be it.



------- Additional Comments From warren@togami.com 2004-02-23 21:10:42 ----

I suppose hold this for April, but it will not move from this status unless more
people are willing to step up and approve it in the established way.



------- Additional Comments From warren@togami.com 2004-08-15 23:22:45 ----

Does anyone still care about this?




------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:16 -------

This bug previously known as bug 327 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=327
Originally filed under the Fedora Legacy product and Package request component.

Unknown version unspecified in product Fedora Legacy. Setting version to "core1".
Unknown priority P5. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was jsunseri@cs.uno.edu.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.